%define major		0
%define apiver		2.0
%define libname		%mklibname %{name} %{apiver} %{major}
%define develname	%mklibname %{name} -d
%define develsname	%mklibname %{name} -d -s

%define sname		SDL2_image

Summary:	Simple DirectMedia Layer 2 - image
Name:		sdl2_image
Version:	2.8.4
Release:	%mkrel 1
License:	zlib
Group:		System/Libraries
URL:		https://github.com/libsdl-org/SDL_image
Source0:	https://www.libsdl.org/projects/SDL_image/release/%{sname}-%{version}.tar.gz

BuildRequires:	pkgconfig(libavif)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libjxl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(sdl2)

%description
This is a simple library to load images of various formats as SDL2 surfaces.
This library currently supports BMP, PPM, PCX, GIF, JPEG, and PNG formats.

This package contains the binary `sdl2show' to test the library.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{develsname}
Summary:	Static library for developing static programs that use %{name}
Group:		Development/C
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	%{sname}-static-devel = %{version}-%{release}

%description -n %{develsname}
This package contains the static library that programmers will need
to develop static applications which are using %{name}.

%package -n %{libname}-test
Summary:	Test binary for %{name}
Group:		System/Libraries

%description -n %{libname}-test
This package contains binary to test the associated library.

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
# (anssi) --disable-x-shared disable dlopening, so that we link to them
# dynamically instead, and thus get correct autorequires
%configure \
		--disable-avif-shared \
		--disable-jpg-shared \
		--disable-jxl-shared \
		--disable-png-shared \
		--disable-tif-shared \
		--disable-webp-shared

%make_build

%install
%make_install

install -d %{buildroot}%{_bindir}
install -m755 .libs/showimage %{buildroot}%{_bindir}/sdl2show

%files -n %{libname}-test
%{_bindir}/sdl2show

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%license LICENSE.txt
%doc README.txt CHANGES.txt
%{_libdir}/lib*.so
%{_includedir}/SDL2/*
%{_libdir}/pkgconfig/SDL2_image.pc
%{_libdir}/cmake/SDL2_image/

%files -n %{develsname}
%{_libdir}/*.a


%changelog
* Sun Jan 05 2025 daviddavid <daviddavid> 2.8.4-1.mga10
+ Revision: 2135478
- new version: 2.8.4

* Fri Jul 05 2024 daviddavid <daviddavid> 2.8.2-2.mga10
+ Revision: 2079932
- rebuild for new libjxl 0.10.3

* Fri Jan 05 2024 daviddavid <daviddavid> 2.8.2-1.mga10
+ Revision: 2027797
- new version: 2.8.2

* Thu Dec 14 2023 daviddavid <daviddavid> 2.8.1-1.mga10
+ Revision: 2018177
- new version: 2.8.1

* Wed Nov 08 2023 daviddavid <daviddavid> 2.6.3-3.mga10
+ Revision: 2005123
- rebuild for new libavif 1.0.1

* Tue Nov 07 2023 daviddavid <daviddavid> 2.6.3-2.mga10
+ Revision: 2005046
- rebuild for new libjxl 0.8.2

* Thu Feb 09 2023 daviddavid <daviddavid> 2.6.3-1.mga9
+ Revision: 1939560
- new version: 2.6.3

* Mon Dec 12 2022 ns80 <ns80> 2.6.2-2.mga9
+ Revision: 1921139
- rebuild for new libtiff

* Fri Dec 02 2022 daviddavid <daviddavid> 2.6.2-1.mga9
+ Revision: 1913974
- new version: 2.6.2
- enable avif and jxl support

* Fri Apr 01 2022 umeabot <umeabot> 2.0.5-4.mga9
+ Revision: 1839070
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 2.0.5-3.mga9
+ Revision: 1789996
- fix files list

* Sat Feb 15 2020 umeabot <umeabot> 2.0.5-2.mga8
+ Revision: 1527473
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jul 16 2019 daviddavid <daviddavid> 2.0.5-1.mga8
+ Revision: 1421824
- new version: 2.0.5

* Sat Nov 03 2018 daviddavid <daviddavid> 2.0.4-1.mga7
+ Revision: 1327910
- new version: 2.0.4

* Sun Sep 23 2018 umeabot <umeabot> 2.0.3-2.mga7
+ Revision: 1300973
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 akien <akien> 2.0.3-1.mga7
+ Revision: 1209285
- Version 2.0.3 (security fixes)
- Enable SVG support

* Sat Dec 30 2017 akien <akien> 2.0.2-1.mga7
+ Revision: 1187693
- Version 2.0.2
- Disable new SVG support via nanosvg for now, has build issues requiring SDL 2.0.8+ for proper fixing

* Wed Oct 25 2017 akien <akien> 2.0.1-2.mga7
+ Revision: 1173615
- Fixed security vulnerability in XCF image loader (CVE-2017-2887, mga#21881)

* Sun Jan 10 2016 akien <akien> 2.0.1-1.mga6
+ Revision: 921129
- Version 2.0.1

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-4.mga5
+ Revision: 747032
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 689090
- Mageia 5 Mass Rebuild

* Sun Dec 08 2013 blue_prawn <blue_prawn> 2.0.0-2.mga4
+ Revision: 555867
- put all the static stuff into the static split
- fixed the license, and static split
+ akien <akien>
- Fixed mixed use of tabs and spaces
- Added BR on libwebp-devel
- Adapted SDL_image spec file to sdl2_image (new apiver)
- Removed --enable-ppm option, not available anymore during compilation
- Forking SDL_image into sdl2_image
+ fwang <fwang>
- rebuild for new libpng
- new version 1.2.11
- rebuild for new libtiff
- fix build with libpng15
- rebuild for new libpng
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ luigiwalser <luigiwalser>
- remove patch 0
- 1.2.12
+ alien <alien>
- fix 8bit png images (fixes bug #4175)
+ sander85 <sander85>
- bump release for upgrading from mdv2010.{1,2}
+ supp <supp>
- imported package SDL_image

